﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Practices.Composite.Presentation.Commands;

namespace WpfApplication10
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public DelegateCommand<object> ClickCommand { get; private set; }
        
        public Window1()
        {
            InitializeComponent();

            ClickCommand = new DelegateCommand<object>(OnClick, arg => true);
            this.button2.DataContext = ClickCommand;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("After click");
        }

        void OnClick(object e)
        {
            MessageBox.Show("After click");
        }
    }
}
